function [index,cindex]=fiacthad
%FIACTHAD Finds the selected data sets.

%	L. Ljung 4-4-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.3 $  $Date: 1995/05/10 21:36:59 $

global XIDsumb

models=findobj(XIDsumb(1),'tag','dataline');
ind=findobj(models,'flat','linewidth',3);
cind=findobj(models,'flat','linewidth',0.5);
if isempty(ind)
   iduistat('No data sets selected. Click on data icons to select desired ones.')
end
index=[];
cindex=[];
for kh=ind(:)'
    tag=get(get(kh,'parent'),'tag');
    index=[index,eval(tag(6:length(tag)))];
end
for kh=cind(:)'
    tag=get(get(kh,'parent'),'tag');
    cindex=[cindex,eval(tag(6:length(tag)))];
end
